commit cecb3e8dd633fd5ba597ad536ffabd0c5f29726e
parent ff5a9e522595488e9c5d51078486048762f874ad
Author: klewer-martin <martin.cachari@gmail.com>
Date: Sat, 26 Jun 2021 12:51:05 -0300
Update
Diffstat:
10 files changed, 52 insertions(+), 27 deletions(-)
diff --git a/backlight b/backlight
@@ -1 +0,0 @@
-17
diff --git a/configmouses b/configmouses
@@ -1,9 +0,0 @@
-#!/bin/bash
-
-
-xinput --set-prop 10 'libinput Accel Profile Enabled' 0, 1
-
-xinput --set-prop 'Logitech Wireless Mouse' 'libinput Accel Profile Enabled' 0, 1
-
-xinput --set-prop 'DLLA6AE:00 06CB:75DD Touchpad' 'libinput Tapping Enabled' 1
-
diff --git a/enablebluetooth b/enablebluetooth
@@ -1,3 +0,0 @@
-#!/bin/bash
-
-systemctl start bluetooth.service
diff --git a/img.jpg b/img.jpg
Binary files differ.
diff --git a/mount_sdb b/mount_sdb
@@ -1,5 +0,0 @@
-#!/bin/bash
-
-mkdir -p /run/mount/usb
-
-mount /dev/sdb1 /run/mount/usb
diff --git a/mountdrive.sh b/mountdrive.sh
@@ -0,0 +1,19 @@
+#!/bin/sh
+
+col_gray1="#000000"
+col_gray3="#bbbbbb"
+col_gray4="#eeeeee"
+col_darkmagenta="#8B008B"
+
+prompt='Which drive do you want to mount?'
+
+rmedia=$(ls /dev/sd* | sed '/sda/d')
+dmenuargs="-i -l 10 -h 14 -z 750 -bw 2 -c $@ -nb $col_gray1 -nf $col_gray3 -sb $col_darkmagenta -sf $col_gray4"
+
+[[ -z $rmedia ]] && notify-send "No removable media found" -t 2000 && exit 1
+
+name=$(ls /dev/sd* | sed '/sda/d' | sed -n '/sd../p' | dmenu $dmenuargs)
+
+[[ -z $name ]] && exit 1
+
+echo $name | dmenu $dmenuargs
diff --git a/mountusb b/mountusb
@@ -1,5 +0,0 @@
-#!/bin/bash
-
-USB=$(ls /dev | grep sd | grep -v sda | grep 1 | dmenu)
-
-echo $USB
diff --git a/statusbar/sb-internet_back b/statusbar/sb-internet_back
@@ -0,0 +1,30 @@
+#!/bin/sh
+
+# Show wifi 📶 and percent strength or 📡 if none.
+# Show 🌐 if connected to ethernet or ❎ if none.
+# Show 🔒 if a vpn connection is active
+
+case $BLOCK_BUTTON in
+ 1) "$TERMINAL" -e nmtui; pkill -RTMIN+4 dwmblocks ;;
+ 3) notify-send "🌐 Internet module" "\- Click to connect
+📡: no wifi connection
+📶: wifi connection with quality
+❎: no ethernet
+🌐: ethernet working
+🔒: vpn is active
+" ;;
+ 6) "$TERMINAL" -e "$EDITOR" "$0" ;;
+esac
+
+case "$(cat /sys/class/net/w*/operstate 2>/dev/null)" in
+ down) wifiicon="📡: -%" ;;
+ up) wifiicon="$(awk '/^\s*w/ { print "📶:", int($3 * 100 / 70) "%" }' /proc/net/wireless)" ;;
+esac
+
+case "$(cat /sys/class/net/e*/operstate 2>/dev/null)" in
+ down) ip="" ;;
+ up) ip="| $(ip -o a | awk '/: e.*.inet .*/ { print $4 }' | sed 's/\// /' | awk '{ print $1 }')" ;;
+
+esac
+
+printf "%s%s%s%s\n" "$wifiicon" "$(sed "s/down//;s/up/ /" /sys/class/net/e*/operstate 2>/dev/null)" "$(sed "s/.*/🔒/" /sys/class/net/tun*/operstate 2>/dev/null)" "$ip"
diff --git a/takescreenshot b/takescreenshot
@@ -2,4 +2,6 @@
# Takes a screenshot of the screen and saves it on the folder below
-scrot -z -e 'mv $f ~/pictures/screenshots/'
+folder="~/pictures/screenshots/"
+
+scrot -z -e 'mv $f '
diff --git a/vboxdark b/vboxdark
@@ -1,3 +0,0 @@
-#!/bin/bash
-
-virtualbox -style Adwaita-dark %U